#
# spec file for package lv2core
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lv2core
Version:        4.0pre1
Release:        6.4
Summary:        Core package for LV2 plugin system

Group:          Development/Tools/Other
License:        LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c

Url:            http://lv2plug.in/
Source0:        http://lv2plug.in/spec/%{name}-%{version}.tar.bz2
Source1:        lv2config.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  doxygen gcc-c++ graphviz pkg-config python-base
%if 0%{?suse_version} > 1120
BuildRequires:  pkgconfig(redland)
%else
BuildRequires:  libredland-devel
%endif
Requires:       python-redland

%description
LV2 is a standard for plugins and matching host applications,
primarily targeted at audio processing and generation.
This package is the "core" LV2 specification in usual source package form.
The major version of this package refers to the LV2 specification revision
contained, while the minor version refers only to this package.
Application authors aren't required to depend on this package
(including lv2.h in source distributions is acceptable)
but any system with LV2 plugins should have the LV2 bundle contained in
this package installed somewhere in the LV2 path
(it contains plugin classes and other useful information).
The LV2 header (lv2.h) and core bundle (lv2core.lv2) are maintained by

Authors
-------
David Robillard <d@drobilla.net>
Steve Harris <steve@plugin.org.uk>
with the input and help of many others.
Thanks to all members of the free software community who made LV2 possible.


%package        devel
License:        LGPLv2.1+ ; X11 MIT ; GPLv2+ ; BSD3c
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.
The LV2 header (lv2.h) and core bundle (lv2core.lv2) are maintained by

Authors
-------
David Robillard <d@drobilla.net>
Steve Harris <steve@plugin.org.uk>
with the input and help of many others.
Thanks to all members of the free software community who made LV2 possible.


%prep
%setup -q

%build
export LV2_PATH=%{_libdir}/lv2
export CFLAGS="%{optflags} -fPIC -ggdb"
export CXXFLAGS="$CFLAGS"
autowaf/waf -vv \
  --prefix=%{_prefix} \
  --libdir=/%{_libdir} \
  --docs \
  configure

# waf only understands -j, so do not use smp_mflags
autowaf/waf build %{?jobs:-j%jobs}

%install
autowaf/waf install --destdir=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# Install man page made with a modified help2man page combined with text from README.
mkdir -p %{buildroot}/%{_mandir}/man1
cp -v %{S:1} %{buildroot}/%{_mandir}/man1/
# We need to own the directory /usr/include/lv2
mkdir -p %{buildroot}%{_includedir}/lv2

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/lv2config
%{_mandir}/man1/lv2config.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/lv2.h
%dir %{_includedir}/lv2
%dir %{_libdir}/lv2/lv2core.lv2/
%dir %{_libdir}/lv2/
%{_libdir}/pkgconfig/lv2core.pc
%{_libdir}/lv2/lv2core.lv2/lv2.ttl
%{_libdir}/lv2/lv2core.lv2/manifest.ttl

%changelog
* Wed Feb 23 2011 davejplater@gmail.com
- Required python-redland for lv2config
- Added man page for lv2config
* Fri Jan 14 2011 davejplater@gmail.com
- Created package lv2core for slv2 for LV2 plugins.
